CPOW(3)

NAME
cpow, cpowf - complex power

SYNOPSIS

#include <complex.h>

double complex cpow(double complex x, double complex y);

float complex cpowf(float complex x, float complex y);

DESCRIPTION

The cpow functions compute the complex power function x^y power, with a branch cut for the first parameter along the negative real axis.

cpowf is identical to cpow, except that it performs its calculations on floats complex.

RETURNS

The cpow functions return the complex power function value.

PORTABILITY

cpow and cpowf are ISO C99